<template>
  <div class="action-icons">
    <Icon
      v-for="action in actions"
      :key="action"
      :icon="iconMapping[action]"
      class="icon"
    />
  </div>
</template>

<script setup>
import { defineProps, ref } from "vue";

const props = defineProps({
  actions: Array
});

const iconMapping = ref({
  info: "ooui:info-filled",
  edit: "ooui:edit",
  pause: "ooui:pause",
  play: "ooui:play",
  stop: "ooui:stop",
});
</script>

<style scoped>
.action-icons {
  display: flex;
  gap: 0.5em;
}
</style>
